<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: modules/salesPersonModule.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: modules/salesPersonModule.js</h1>






    <section>
        <article>
            <pre class="prettyprint source linenums"><code>let referenceToThis = null;

/**
 * This function is responsible to set a tradeshow
 *
 * @param {string} idSalesPerson - Sales person ID
 * @returns {Promise} Returns a new Promise object.
 */
const setTradeShow = (idSalesPerson, idTradeShow) => {
  if (idSalesPerson &amp;&amp; idTradeShow) {
    return referenceToThis.tradeShowsSalesPerson.create({
      SalesPerson_idSalesPerson: idSalesPerson,
      TradeShows_idTradeShow: idTradeShow,
    });
  }
  throw new Error('salesPerson.setTradeShow receive two parameters idSalesPerson and idTradeShow please specify them');
};

/**
 * This function is responsible to get a tradeshow
 *
 * @param {string} idSalesPerson - Sales person id
 * @returns {Promise} Returns a new Promise object.
 */
const getTradeShows = (idSalesPerson) => {
  return new Promise((resolve, reject) => {
    referenceToThis.tradeShowsSalesPerson.get({
      filter: `SalesPerson_idSalesPerson=${idSalesPerson}`,
    }).then((result) => {
      const TradeShowsIds = result.resource.map((item) => {
        return item.TradeShows_idTradeShow;
      });

      return referenceToThis.tradeShows.get({
        ids: TradeShowsIds.join(','),
      }).then((tradeShowsResult) => {
        return resolve(tradeShowsResult);
      });
    }).catch((error) => {
      return reject(error);
    });
  });
};

/**
 * This function is responsible to set or get a tradeshow
 *
 * @param {object} thisObject - Json Object
 * @returns {Promise} - Returns a new Promise object.
 */
const salesPersonModule = (thisObject) => {
  referenceToThis = thisObject;
  referenceToThis.salesPerson.setTradeShow = setTradeShow;
  referenceToThis.salesPerson.getTradeShows = getTradeShows;
};

export default salesPersonModule;

</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="HttpClient.html">HttpClient</a></li><li><a href="MagentoClient.html">MagentoClient</a></li></ul><h3>Global</h3><ul><li><a href="global.html#addDocuments">addDocuments</a></li><li><a href="global.html#addProduct">addProduct</a></li><li><a href="global.html#addTags">addTags</a></li><li><a href="global.html#Channels-SDK_Example">Channels-SDK_Example</a></li><li><a href="global.html#Countries-SDK_Example">Countries-SDK_Example</a></li><li><a href="global.html#default">default</a></li><li><a href="global.html#Documents-SDK_Example">Documents-SDK_Example</a></li><li><a href="global.html#filter">filter</a></li><li><a href="global.html#generateEndpointsCrudMethods">generateEndpointsCrudMethods</a></li><li><a href="global.html#getProducts">getProducts</a></li><li><a href="global.html#getSalesPerson">getSalesPerson</a></li><li><a href="global.html#getTradeShows">getTradeShows</a></li><li><a href="global.html#importAndExecuteModules">importAndExecuteModules</a></li><li><a href="global.html#ProductCategories-SDK_Example">ProductCategories-SDK_Example</a></li><li><a href="global.html#Products-SDK_Example">Products-SDK_Example</a></li><li><a href="global.html#Recipes-SDK_Example">Recipes-SDK_Example</a></li><li><a href="global.html#removeTags">removeTags</a></li><li><a href="global.html#retrieveRecipes">retrieveRecipes</a></li><li><a href="global.html#SalesPerson-SDK_Example">SalesPerson-SDK_Example</a></li><li><a href="global.html#salesPersonModule">salesPersonModule</a></li><li><a href="global.html#SalesRepresentative-SDK_Example">SalesRepresentative-SDK_Example</a></li><li><a href="global.html#Samples-SDK_Example">Samples-SDK_Example</a></li><li><a href="global.html#setSalesPerson">setSalesPerson</a></li><li><a href="global.html#setTradeShow">setTradeShow</a></li><li><a href="global.html#synchronize">synchronize</a></li><li><a href="global.html#Tags-SDK_Example">Tags-SDK_Example</a></li><li><a href="global.html#Tradeshow-SDK_Example">Tradeshow-SDK_Example</a></li><li><a href="global.html#UserTypes-SDK_Example">UserTypes-SDK_Example</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.3</a> on Fri Nov 22 2019 13:09:48 GMT-0600 (Central Standard Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
